Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1115672 - Review Request: nodejs-grunt-contrib-csslint - Lint CSS files
Summary: Review Request: nodejs-grunt-contrib-csslint - Lint CSS files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1115666
Blocks: 858027 nodejs-reviews 1115659
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:04 UTC by Ralph Bean
Modified: 2015-01-28 05:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 22:33:34 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Parag AN(पराग) 2014-07-17 16:19:34 UTC
Review:

+ mock build is successful for f22

- rpmlint output on rpms gave
nodejs-grunt-contrib-csslint.x86_64: E: no-binary
nodejs-grunt-contrib-csslint.x86_64: W: only-non-binary-in-usr-lib
nodejs-grunt-contrib-csslint.x86_64: W: dangling-symlink /usr/lib/node_modules/grunt-contrib-csslint/node_modules/csslint /usr/lib/node_modules/csslint
nodejs-grunt-contrib-csslint-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package nodejs-grunt-contrib-csslint.
nodejs-grunt-contrib-csslint-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 3 errors, 2 warnings.

==> See suggestion below

+ Source verified with upstream as (sha256sum)
srpm tarball     :534cd31567ecc3ef2b3cf987df0a1e9969933f767cbd8adb33f43937c790d9ca
upstream tarball :534cd31567ecc3ef2b3cf987df0a1e9969933f767cbd8adb33f43937c790d9ca

+ License "MIT" is valid and is included in its own file as %doc.

+ rest looks following packaging guidelines


Suggestions:
1) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

Comment 2 Ralph Bean 2014-07-21 18:43:35 UTC
New release should address your suggestions:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-grunt-contrib-csslint.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-grunt-contrib-csslint-0.2.0-2.fc20.src.rpm

Comment 3 Parag AN(पराग) 2014-07-22 05:52:28 UTC
Thanks for the update. New srpm looks good.

APPROVED.

Comment 4 Ralph Bean 2014-07-22 14:31:07 UTC
New Package SCM Request
=======================
Package Name: nodejs-grunt-contrib-csslint
Short Description: Lint CSS files
Upstream URL: https://npmjs.org/package/grunt-contrib-csslint
Owners: ralph
Branches: f21,f20,f19,epel7,el6
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-22 14:38:58 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-22 22:31:10 UTC
nodejs-grunt-contrib-csslint-0.2.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-csslint-0.2.0-2.fc20

Comment 7 Fedora Update System 2014-07-22 22:31:21 UTC
nodejs-grunt-contrib-csslint-0.2.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-grunt-contrib-csslint-0.2.0-2.fc19

Comment 8 Ralph Bean 2014-07-22 22:33:34 UTC
Buildroot overrides created.

Comment 9 Fedora Update System 2014-08-15 02:35:01 UTC
nodejs-grunt-contrib-csslint-0.2.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-08-15 02:53:40 UTC
nodejs-grunt-contrib-csslint-0.2.0-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.